Magick::gammaImage Class Reference

`#include <STL.h>`

## Public Member Functions

| gammaImage (const double gamma_)
| gammaImage (const double gammaRed_, const double gammaGreen_, const double gammaBlue_)
void | operator() (Image &image_) const

## Detailed Description

Definition at line 572 of file STL.h.

## Constructor & Destructor Documentation

## gammaImage() [1/2]

Magick::gammaImage::gammaImage | ( | const double | gamma_ | ) |

Definition at line 554 of file STL.cpp.

## gammaImage() [2/2]

Magick::gammaImage::gammaImage | ( | const double | gammaRed_,
|  | const double | gammaGreen_,
|  | const double | gammaBlue_
| ) |  |

Definition at line 560 of file STL.cpp.

## Member Function Documentation

## operator()()

void Magick::gammaImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 568 of file STL.cpp.

References Magick::Image::gamma().

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp